curl --request POST \
--url https://ai.cubeuaeai.com/v1/responses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-5.5",
"input": [
{
"role": "user",
"content": "Hello!"
}
],
"stream": false,
"temperature": 1,
"frequency_penalty": 0,
"presence_penalty": 0,
"max_output_tokens": 17,
"stop": "<string>",
"n": 1,
"text": {
"format": {}
},
"reasoning": {},
"tools": [
{}
],
"tool_choice": "<string>",
"store": true,
"user": "<string>"
}
'import requests
url = "https://ai.cubeuaeai.com/v1/responses"
payload = {
"model": "gpt-5.5",
"input": [
{
"role": "user",
"content": "Hello!"
}
],
"stream": False,
"temperature": 1,
"frequency_penalty": 0,
"presence_penalty": 0,
"max_output_tokens": 17,
"stop": "<string>",
"n": 1,
"text": { "format": {} },
"reasoning": {},
"tools": [{}],
"tool_choice": "<string>",
"store": True,
"user": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'gpt-5.5',
input: [{role: 'user', content: 'Hello!'}],
stream: false,
temperature: 1,
frequency_penalty: 0,
presence_penalty: 0,
max_output_tokens: 17,
stop: '<string>',
n: 1,
text: {format: {}},
reasoning: {},
tools: [{}],
tool_choice: '<string>',
store: true,
user: '<string>'
})
};
fetch('https://ai.cubeuaeai.com/v1/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "resp_0ed94fe7ec73cf560169afd97bba648194b8661d445cfa4244",
"object": "response",
"created_at": 1773132155,
"model": "gpt-5.5",
"status": "completed",
"output": [
{
"id": "msg_0ed94fe7ec73cf56",
"type": "message",
"role": "assistant",
"status": "completed",
"content": [
{
"type": "output_text",
"text": "Hello! How can I help you?",
"annotations": [
{}
]
}
]
}
],
"usage": {
"input_tokens": 8,
"input_tokens_details": {
"cached_tokens": 0
},
"output_tokens": 15,
"output_tokens_details": {
"reasoning_tokens": 0
},
"total_tokens": 23
},
"completed_at": 1773132156,
"reasoning": {
"effort": "high",
"summary": "detailed"
},
"text": {
"format": {
"type": "text"
},
"verbosity": "medium"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}gpt-5.5
Create a model response from the input. Some OpenAI models only support the Responses format.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
model ID
gpt-5.5 "gpt-5.5"
Text or image content used by the model to generate a response.
1Show child attributes
Show child attributes
[{ "role": "user", "content": "Hello!" }]
When true, response deltas are streamed via SSE.
Sampling temperature. Higher values make the output more random.
0 <= x <= 21
Penalize tokens based on how often they appear in the text.
-2 <= x <= 2Penalize tokens that have already appeared in the text.
-2 <= x <= 2Maximum number of output tokens.
x >= 16Sequences that stop generation.
Number of response candidates to generate.
x >= 1Configuration options for the model's text response.
Show child attributes
Show child attributes
Model reasoning/thinking configuration.
Show child attributes
Show child attributes
A list of tools the model can call.
Controls which tool the model calls, if any.
Whether to store the generated response for later retrieval via API. Defaults to true.
A unique identifier representing the end user.
Response
Response generated successfully
"resp_0ed94fe7ec73cf560169afd97bba648194b8661d445cfa4244"
"response"
Unix timestamp when the response was created.
1773132155
"gpt-5.5"
completed, failed, in_progress, incomplete "completed"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unix timestamp when the response was completed.
1773132156
Show child attributes
Show child attributes
Show child attributes
Show child attributes